Subject: Re: tramp on NT emacs
From: [email-masked] (Kai Großjohann)
To: [email-masked] (Mark A. Hershberger)
Cc: Keith Amidon <[email-masked]>, "rcp.el mailing list" <[email-masked]>, [email-masked], [email-masked]
Date: 23 Apr 2001 19:59:04 +0200

On 23 Apr 2001, Mark A. Hershberger wrote:

> Looking through the debug buffer, it seems to be coming from the
> following two lines:
> 
>     ls: tramp_exit_status 1
>     / this file does not exist : No such file or directory
> 
> The results of the two commands in
> 
>     ls "/ this file does not exist"; echo tramp_exit_status $?
> 
> are being interpolated.

Oh, no!  What can we do?  I'm pretty sure I stopped using 2>/dev/null
at some point, and for a reason.

I think the problem was that ksh on AIX barfs when encountering
2>/dev/null on a shell builtin.  Ah, yes, here's the log entry:

/----
| revision 1.312
| date: 2000/05/12 21:04:20;  author: grossjoh;  state: Exp;  lines: +19 -4
| Don't use "set +o history 1>/dev/null 2>/dev/null".  AIX chokes on
| redirecting stderr here?!
\----

Isn't that nice?  So.  Can we be sure that `ls' is never a shell
builtin, and that doing "2>/dev/null" on those commands never fails?
I think we cannot be sure.  (And also, the exit status of `cd' is
sometimes queried, and that's always a shell builtin.)

Does anybody have a suggestion?

kai
-- 
The passive voice should never be used.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple